<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAgendasTable extends \Drp\NativeEventApp\Migrations\TableMigration
{
    public function tableName(): string
    {
        return 'agendas';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->increments('id');
            $table->string('key');
            $table->unsignedBigInteger('eventId');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
